﻿using Microsoft.Extensions.DependencyInjection;
using Pokespearean.Models;
using Pokespearean.Services;

namespace Pokespearean.Tests
{
	public class Startup
	{
		public void ConfigureServices(IServiceCollection services)
		{
			services.AddScoped<IPokemonService, PokemonService>();
			services.AddScoped<IShakespeareService, ShakespeareService>();
			services.Configure<Settings>(s => s.ShakespeareApi = "https://api.funtranslations.com");
		}
	}
}
