# Pokespearean

Pokemon description API as if it was written by Shakespeare.

## How to run it

The project that needs to be run should be the one named `Pokespearean`.
The project should be run using Visual Studio 2019(VS).
The project has 3 running profiles:
1. IIS Express
2. Pokespearean
3. Docker

The first 2 profiles will run the project directly(clicking on the green play button in VS), opening a browser window at `http://localhost:5000`.

In this case you need to add to the path "/pokemon/{pokemon name}" where instead of `{pokemon name}` you need write the name of the pokemon, if the pokemon is found, a json string with `name` and `description` will be shown in the browser.

In case you want to use the "Docker" profile, make sure you have "Docker Desktop" installed, from the [docker website](https://www.docker.com/products/docker-desktop).

## Wanted improvements
* Add documentation, possibly with swagger
* Adding a validation service layer, so the incoming data can be validated before any other call
* Adding more test coverage for the services behind the controller

### Note
In case of Visual Studio git pull of the project, make sure to have [GIT](https://git-scm.com/download/win) installed(Windows)